Upgrading from an Earlier Version

Reflection for the Web 4.x

If you have Reflection for the Web version 4.x installed, remove the earlier version after installing Reflection for the Web version 9.0.

  1. Retain Settings from the Earlier Version
  2. Install Reflection for the Web 9.0 Components
  3. Upgrade the Reflection for the Web 9.0 Components
  4. Remove the Earlier Version of Reflection for the Web

Step 1: Retain Settings from the Earlier Version

Reflection Management Server
Retain the entire earlier installation of the management server until you have installed the latest version in a new directory, used the tools in the Administrative WebStation and in the new installation to upgrade outdated files, and tested your new installation.

Security Proxy Server
Upgrading from a pre-5.0 version of the security proxy is no longer supported; it is recommended that you install the latest version and create new settings to take full advantage of version 9.0 features. For detailed information, see Setting Up the Security Proxy Server.

Metering Server Component: Retain Settings
If you have a version 4.x metering server installed, follow the steps here.

Before you install the new version of the metering component, retrieve the metering settings in the current installation of your servlet runner. Reflection for the Web version 4.5, for example, shipped the ServletExec servlet runner with the metering component. Follow these steps to retrieve the metering settings from ServletExec:

  1. Start ServletExec and open the ServletExec Admin web site.

  2. Under Servlets, click Configure in the navigation panel at the left.

  3. In the Configure Servlets page under Servlet Name, click EVmeter.

  4. Print the Edit Servlet page, which lists all of the parameters set for EVmeter.

  5. Complete steps 2 and 3 for EVreport.

Metering Server Component: Resolve IIS Port Conflicts
Upgraded terminal sessions will use the same port in the new version of the metering server as they used in your previous version. In previous versions of Reflection for the Web, the metering server by default worked with ServletExec in IIS. So that all of the metered sessions you configured in your previous version will continue to work in the new version, perform one of these steps:

Step 2: Install Reflection for the Web 9.0 Components

Install the Reflection for the Web 9.0 components now. The Reflection management server component is required; the security proxy server and the metering server are optional. When you upgrade from a previous version:

Step 3: Upgrade the Reflection for the Web 9.0 Components

Security Proxy Server
Upgrading from a pre-5.0 version of the security proxy is no longer supported; it is recommended that you install the latest version and create new settings to take full advantage of version 9.0 features. For detailed information, see Setting Up the Security Proxy Server.

Metering Server
If you used the metering server in 4.x versions of Reflection for the Web, configure the new version now. Follow the steps described in the Setting Up the Metering Component section before uninstalling the earlier version of the metering server. Use the settings you retrieved in Step 1 to configure your new installation.

Reflection Management Server
Open the Administrative WebStation and go to the Upgrade section. Open either the Upgrading from Reflection for the Web 4.5, 4.1, or 4.0 or Upgrading from Reflection for the Web 4.1 Japanese page, and go to Step 3: Upgrade Reflection for the Web Components. Use the tools and follow the procedures included on the upgrade pages to update files. These file types and settings can be updated:

If you saved sessions without using the Terminal Session tool or hand-edited the HTML, upgrade sessions using the Static Session Migration Wizard.

Step 4: Remove the Earlier Version of Reflection for the Web

After you have installed Reflection for the Web 9.0, migrated outdated settings, and tested your installation, then remove the previous version of Reflection for the Web from your server, as well as from your administrators' workstations.

Note: If you have upgraded your security proxy server, and you choose to use the server.properties file from your original installation, do not remove the original installation of the security proxy.

To remove a previous version of Reflection for the Web:

Where To Go Next